<div style="height: 100%">
  <mat-toolbar>
    <span>Kontaktsplitter</span>
    <span class="example-spacer"></span>
    <span class="developer-credits"> Developed by FiedlerReloaded</span>
  </mat-toolbar>
  <mat-sidenav-container class="side-nav">
    <mat-sidenav opened mode="side" position="end" fixedInViewport="false">
      <app-title (onUpdateTitlesEvent)="addressTitles = $event"></app-title>
    </mat-sidenav>
    <div>
      <div style="margin: 50px;">
        <mat-card class="basic-card" style="width: 555px; margin: auto; background-color: deepskyblue">
          <mat-card-title>Kontakt eingeben</mat-card-title>
          <mat-card-content>
            <mat-form-field style="padding-right: 20px; width: 300px">
              <mat-label>Anrede</mat-label>
              <input matInput [(ngModel)]="unformattedAddress">
            </mat-form-field>
            <mat-form-field>
              <mat-label>Sprache</mat-label>
              <mat-select required [(ngModel)]="language">
                <mat-option value="german">deutsch</mat-option>
                <mat-option value="english">englisch</mat-option>
              </mat-select>
            </mat-form-field>
          </mat-card-content>
          <mat-card-actions>
            <button (click)="parseAddress()" mat-button>Analysieren</button>
          </mat-card-actions>
        </mat-card>
      </div>
      <div *ngIf="error69">
        <p style="color: red; text-align: center"> Achtung: Eingabe enthielt Sonderzeichen oder Zahlen! Diese werden entfernt. Ergebnis könnte fehlerhaft sein!</p>
      </div>
      <div *ngIf="error420">
        <p style="color: red; text-align: center"> FEHLER: Eingabe hat zu viele Kommas (maximal 2)</p>
      </div>
      <div *ngIf="noInputError">
        <p style="color: red; text-align: center"> FEHLER: Eingabe ist leer.</p>
      </div>
      <div style="display: flex; margin: auto; width: 1200px" *ngIf="resultExists">
        <mat-card class="basic-card" [ngStyle]="{'background-color': error187 ? 'red' : 'white'}" >
          <mat-card-title>Anrede</mat-card-title>
          <mat-card-content>
            <mat-form-field>
              <input matInput (ngModelChange)="onAddressChange($event, 1)" [(ngModel)]="address">
            </mat-form-field>
            <p *ngIf="error187">Die Anrede wurde an einer unerwarteten Stelle gefunden. Bitte prüfen!</p>
          </mat-card-content>
        </mat-card>
        <mat-card class="basic-card" >
          <mat-card-title>Titel</mat-card-title>
          <mat-card-content>
            <mat-form-field>
              <!--<input matInput (ngModelChange)="onAddressChange($event, 2)" [(ngModel)]="title"> -->
              <mat-select (ngModelChange)="onAddressChange($event, 2)" [(ngModel)]="title" multiple>
                <div *ngFor="let tit of addressTitles">
                  <mat-option [value]=tit>{{tit}}</mat-option>
                </div>
              </mat-select>
            </mat-form-field>
          </mat-card-content>
        </mat-card>
        <mat-card class="basic-card" >
          <mat-card-title>Geschlecht</mat-card-title>
          <mat-card-content>
            <mat-form-field>
              <mat-select [(ngModel)]="gender" (ngModelChange)="onAddressChange($event, 3)">
                <mat-option value="male">männlich</mat-option>
                <mat-option value="female">weiblich</mat-option>
                <mat-option value="non binary">divers</mat-option>
                <mat-option value="not specified">keine Angabe</mat-option>
              </mat-select>
            </mat-form-field>
          </mat-card-content>
        </mat-card>
        <mat-card class="basic-card" >
          <mat-card-title>Vornamen</mat-card-title>
          <mat-card-content>
            <mat-form-field>
              <input matInput [(ngModel)]="name" (ngModelChange)="onAddressChange($event, 4)">
            </mat-form-field>
          </mat-card-content>
        </mat-card>
        <mat-card class="basic-card" >
          <mat-card-title>Nachname</mat-card-title>
          <mat-card-content>
            <mat-form-field>
              <input matInput [(ngModel)]="surName" (ngModelChange)="onAddressChange($event, 5)">
            </mat-form-field>
          </mat-card-content>
        </mat-card>
      </div>
      <div style="margin: 50px;">
        <mat-card class="basic-card" style="width: 555px; margin: auto; background-color: greenyellow" *ngIf="resultExists">
          <mat-card-title>Briefanrede</mat-card-title>
          <mat-card-content>
            <p>{{letterAddress}}</p>
          </mat-card-content>
        </mat-card>
      </div>

    </div>


  </mat-sidenav-container>

  <div style="display: flex">

  </div>

</div>
